<?php

if (!isset($_SERVER['argc']))
{
	die('This program must be run with PHP CLI.');
}
else
{
	$args = array();
	foreach ($_SERVER['argv'] as $arg) {
		$part = explode('=', $arg);
		if (substr($part[0], 0, 2) == '--') {
			$args[substr($part[0], 2)] = $part[1];
		}
	}

	spl_autoload_register(function ($class) {
		$cwd = realpath(dirname(__FILE__));
		if (file_exists($cwd . '/classes/' . $class . '.class.php')) {
			include_once($cwd . '/classes/' . $class . '.class.php');
		}
	});

	$liseron = new Liseron($args);
	$liseron->generate();
}

?>
