<?php
$cwd = realpath(dirname(__FILE__));
require_once($cwd . '/../contrib/smarty/libs/Smarty.class.php');

class SmartyInterface extends Smarty
{
	public function __construct( $config = array() )
	{
		parent::__construct();

		$this->template_dir = $config->get('datadir') . '/' . $config->get('directories', 'html_templates');
		$this->compile_dir = $config->get('tmpdir') . '/' . $config->get('directories', 'html_templates_c');

		$this->compile_check = true;
		$this->debugging = false;
		$this->caching = false;

		$this->loadFilter('output', 'trimwhitespace');
		$this->loadFilter('output', 'minify');
	}
}

?>
